### Constructor

# Gtk.SpinButton.new

#### Declaration [src]

    GtkWidget*
    gtk_spin_button_new (
      GtkAdjustment* adjustment,
      double climb_rate,
      guint digits
    )

#### Description [src]

Creates a new `GtkSpinButton`.

#### Parameters

`adjustment` | `GtkAdjustment`
| the `GtkAdjustment` that this spin button should use, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`climb_rate` | `double`
| specifies by how much the rate of change in the value will accelerate if you continue to hold down an up/down button or arrow key
`digits` | `guint`
| the number of decimal places to display

#### Return value

Returns: `GtkWidget`
The new `GtkSpinButton`
Ownership is not transferred to the caller